%cojoc(at)hotmail.com
%2012/4/9
%get the normalize cut
%input:
%A: index of points of group A
%B: index of points of group B
%S: connection matrix
%output:
%Ncut: normalized cut value

function Ncut = clGetNcut(A,B,S)
    cut=sum(sum(S(A,B)));
    V=[reshape(A,1,length(A)),reshape(B,1,length(B))];
    assocA=sum(sum(S(A,V)));
    assocB=sum(sum(S(B,V)));
    Ncut=cut/assocA+cut/assocB;
end